// loading module
// @author Pluto <huarse@gmail.com>
// @create 2018/05/22

import React from 'react';
import classNames from 'classnames';
import "./index.less";
import imgSrc from "./recall.svg";
export default function PermissionMod(_ref) {
  var _ref$horizontal = _ref.horizontal,
    horizontal = _ref$horizontal === void 0 ? false : _ref$horizontal,
    _ref$showImg = _ref.showImg,
    showImg = _ref$showImg === void 0 ? true : _ref$showImg,
    _ref$height = _ref.height,
    height = _ref$height === void 0 ? '200px' : _ref$height,
    className = _ref.className,
    noborder = _ref.noborder,
    _ref$text = _ref.text,
    text = _ref$text === void 0 ? '暂无数据' : _ref$text;
  var clazz = classNames('container', 'loading', 'className', {
    horizontal: horizontal,
    bordered: !noborder
  });
  return /*#__PURE__*/React.createElement("div", {
    className: clazz,
    style: {
      height: height
    }
  }, showImg ? /*#__PURE__*/React.createElement("div", {
    className: "imgbox"
  }, /*#__PURE__*/React.createElement("img", {
    src: imgSrc,
    alt: ""
  })) : null, text ? /*#__PURE__*/React.createElement("div", {
    className: "per-desc"
  }, text) : null);
}